package com.picc.grab.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.picc.grab.domain.Carinfo;
import com.picc.grab.entity.grab.dto.CarCjjlDTO;
import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Param;

public interface CarinfoMapper extends BaseMapper<Carinfo> {
  Integer getMaxCarId();
  
  List<String> findCaridByCjh(@Param("cjh") String paramString);
  
  CarCjjlDTO findCjjlByCjh(@Param("cjh") String paramString);
  
  List<String> findVehicleByTenMinute(@Param("id") String paramString1, @Param("fgsid") String paramString2);
  
  String findBjdjeByCarid(@Param("carid") String paramString);
  
  Integer syncSxglcarData(@Param("carid") String paramString) throws Exception;
  
  List<Map<String, Object>> findVehicleByBid(@Param("wtfName") String paramString1, @Param("fgsid") String paramString2, @Param("zbgzstatus") Integer paramInteger);

}


/* Location:              C:\Users\Administrator\Desktop\ROOT\WEB-INF\classes\!\com\picc\grab\mapper\CarinfoMapper.class
 * Java compiler version: 8 (52.0)
 * JD-Core Version:       1.1.3
 */